# Optional

enum Optional : Enum < MemberCondition.Configuration.Optional >

Optional mode for handling member resolution.

## Entries

NO
Link copied to clipboard
NO

Do not use optional mode.

NOTICE
Link copied to clipboard
NOTICE

Enable optional mode to minimize exception prompts (do not throw exceptions), but the warning log will still be printed.

SILENT
Link copied to clipboard
SILENT

Enable optional mode to minimize exception prompts (do not throw exceptions) and do not print any logs.

## Properties

entries
Link copied to clipboard
val entries : EnumEntries < MemberCondition.Configuration.Optional >

Returns a representation of an immutable list of all enum entries, in the order they're declared.

name
Link copied to clipboard
val name : String
ordinal
Link copied to clipboard
val ordinal : Int

## Functions

valueOf
Link copied to clipboard
fun valueOf (value: String ): MemberCondition.Configuration.Optional

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
fun values (): Array < MemberCondition.Configuration.Optional >

Returns an array containing the constants of this enum type, in the order they're declared.